#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-6YWiFQsfhklxUN4zBjCyo
key:                  hoogle-5.0.18.4-6YWiFQsfhklxUN4zBjCyo
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  9e2039c287f8a21e970b9e243769ecbd
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-6YWiFQsfhklxUN4zBjCyo
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-LCsv9wYGoQYCenYxAs7qF3
    aeson-2.1.2.1-JO9urWGr49o9eoGVjGK4co base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.2.0-JMm0FhdqIMm37wsoldZtrV
    blaze-markup-0.8.3.0-1Cwo9xOYnRq7GeuTj1vgY6 bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.6-FZw1AQ1Yu0zJoUSDEcVVmd
    conduit-extra-1.3.6-14Ud52U4mwVKpXjDoHuauI containers-0.6.5.1
    crypton-connection-0.3.2-9RW5rVkvOJGBUDUSwBZkwl deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.16-AXJEg4TcGdlCzHYCdhEv7Y
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-Dkr6iEkCc97IbvTKS5y4Zc
    haskell-src-exts-1.23.1-J5IurxHyHLj2QGEDSYuU0a
    http-conduit-2.3.9.1-30S6OoJ1FeD2MvUe3uWgOd
    http-types-0.12.4-J4MJPAeZ7F3zgM69e8a4n
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-GQYXt3XxkTjHYxU3GgapGp
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-LrrWuJRkWJBlrGuH4MdlP
    resourcet-1.2.6-F3hFtpgsdsH2ggg8dzKPYt
    safe-0.3.21-3qzhTYNXLLt75g4oDciqqp
    storable-tuple-0.1-7eRK772ukC78HQiHmUpkEu
    tar-0.5.1.1-4t3lUnkxOnSDAj5OcB9KRU template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-2YvnnQzICbjLKd8pMpRkxF
    utf8-string-1.0.2-AgM4BxVFYJWDfWc07XAZZB
    vector-0.13.1.0-2srMfrOOT9n4GuHyEXalOD
    wai-3.2.4-50SKylStQlp2fzebyIvqeT
    wai-logger-2.5.0-IzxnE9kRUhhJjucZCAp9yU
    warp-3.3.30-7Vv8iCdvXHvATL0GwKAqm6
    warp-tls-3.4.9-As2EF5UaEbd3heDBpjN8qp
    zlib-0.6.3.0-5xeSR5L7PcvK2mMMVVwocb

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

